package com.xxl.job.executor.batch.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xxl.job.executor.batch.entity.KuaiShouImageGet;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 快手-获取图片接口
 * @Author: jeecg-boot
 * @Date: 2019-07-25
 * @Version: V1.0
 */
public interface KuaiShouImageGetMapper extends BaseMapper<KuaiShouImageGet> {

    void replaceBatch(@Param(value = "images") List<KuaiShouImageGet> imagesGets);

    String getUrlByCode(String signature);

    String getCutFrameUrlByCode(String signature);
}
